<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>pwt</artifactId>
        <groupId>com.pwt</groupId>
        <version>3.8.4</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <packaging>jar</packaging>
    <artifactId>pwt-admin</artifactId>

    <description>
        web服务入口
    </description>

    <dependencies>

        <!-- spring-boot-devtools -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-devtools</artifactId>
            <optional>true</optional> <!-- 表示依赖不会传递 -->
        </dependency>

        <!-- swagger3-->
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-boot-starter</artifactId>
        </dependency>

        <!-- 防止进入swagger页面报类型转换错误，排除3.0.0中的引用，手动增加1.6.2版本 -->
        <dependency>
            <groupId>io.swagger</groupId>
            <artifactId>swagger-models</artifactId>
            <version>1.6.2</version>
        </dependency>

         <!-- Mysql驱动包 -->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
        </dependency>

        <!-- 核心模块-->
        <dependency>
            <groupId>com.pwt</groupId>
            <artifactId>pwt-framework</artifactId>
        </dependency>

        <!-- 定时任务-->
        <dependency>
            <groupId>com.pwt</groupId>
            <artifactId>pwt-quartz</artifactId>
        </dependency>

        <!-- netty网络框架-->
        <dependency>
            <groupId>com.pwt</groupId>
            <artifactId>pwt-netty</artifactId>
        </dependency>

    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.1.1.RELEASE</version>
                <configuration>
                    <fork>true</fork> <!-- 如果没有该配置，devtools不会生效 -->
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
<!--            <plugin>-->
<!--                <groupId>org.apache.maven.plugins</groupId>-->
<!--                <artifactId>maven-war-plugin</artifactId>-->
<!--                <version>3.1.0</version>-->
<!--                <configuration>-->
<!--                    <failOnMissingWebXml>false</failOnMissingWebXml>-->
<!--                    <warName>${project.artifactId}</warName>-->
<!--                </configuration>-->
<!--           </plugin>-->
            <!-- 加密插件 -->
            <plugin>
                <groupId>com.gitee.lcm742320521</groupId>
                <artifactId>classfinal-maven-plugin</artifactId>
                <version>1.3.0</version>
                <configuration>
                    <password>#</password>
                    <packages>com.pwt.*</packages>
                    <libjars>pwt-netty-3.8.4.jar,pwt-charger-api-3.8.4.jar,pwt-common-3.8.4.jar,pwt-framework-3.8.4.jar,pwt-quartz-3.8.4.jar,pwt-system-3.8.4.jar</libjars>
                    <cfgfiles>application.yml,application-dev.yml,application-prod.yml,application-test.yml</cfgfiles>
                </configuration>
                <executions>
                    <execution>
                        <phase>package</phase>
                        <goals>
                            <goal>classFinal</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <!-- 制作Windows服务插件 -->
            <plugin>
                <groupId>com.gitee.knight322</groupId>
                <artifactId>joylau-springboot-daemon-windows</artifactId>
                <version>1.1.RELEASE</version>
                <executions>
                    <execution>
                        <id>make-win-service</id>
                        <phase>package</phase>
                        <goals>
                            <goal>make-win-service</goal>
                        </goals>
                        <configuration>
                            <!-- 指定加密后的 jar 包作为输入 -->
                            <finalName>${project.artifactId}-${project.version}-encrypted</finalName>
                            <finalCmd>-javaagent:${project.artifactId}-${project.version}-encrypted.jar -jar ${project.artifactId}-${project.version}-encrypted.jar</finalCmd>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
<!--        <finalName>${project.artifactId}</finalName>-->
<!--        <finalName>${project.artifactId}-${project.version}</finalName>-->
    </build>

</project>